RedPacket
레드패킷 - 목록
레드패킷 목록 조회
GET
/
v2
/
redpacket
레드패킷 - 목록
curl --request GET \
--url https://api.chainstream.io/v2/redpacket \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstream.io/v2/redpacket"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstream.io/v2/redpacket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasNextPage": true,
"records": [
{
"creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"id": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"maxClaims": 10,
"mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"totalAmount": "1000000000",
"chain": "sol",
"claimAuthority": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
"claimedAmount": "500000000",
"claimedCount": 5,
"createdAt": 1717334400000,
"expiration": 24,
"expired": true,
"expiredAt": 1717420800000,
"memo": "Happy Red Packet",
"refundedAmount": "0",
"shareId": "abc123",
"txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
}
],
"total": 123,
"endCursor": "<string>",
"startCursor": "<string>"
}인증
bearer_authapi_key_auth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
페이지네이션 커서
페이지당 결과 수
페이지네이션 방향 Pagination direction
사용 가능한 옵션:
next, prev 생성자 지갑 주소
레드패킷의 블록체인 네트워크 Supported blockchain chains
사용 가능한 옵션:
sol, eth, bsc 이 페이지가 도움이 되었나요?
⌘I
레드패킷 - 목록

